Update Customer Promotion Status

Informs Optimove of the status of activated promotions for particular customer IDs for a particular campaign ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rate Limit

This endpoint is subject to the general API rate limit of 50 requests per 10 seconds. Learn more about handling rate limits.

Notes

  • A maximum of 10,000 customer IDs may be included in one call.
  • This function may be called as many times as required.
  • The campaign will only be sent to customer IDs with Status set to true; if this function never receives a customer ID, it is the same as if it was sent with Status set to false.
  • Once the campaign's specified ClearanceRequiredBy time arrives, Optimove will schedule the campaign for execution only to those customer IDs for which PromosUpdated was specified as true using this API call by that time. For more information about this process, click here.

Request Fields

FieldTypeRequiredDescription
TimeStampstring or nullNoTimestamp of the update (ISO 8601 format). Can be null
CampaignIDint32YesThe campaign occurrence identifier — must match a CampaignID returned by GetProcessedCampaignCustomers
PromosUpdatedarray of objectsYesList of customer approval decisions. Maximum 10,000 items per request
PromosUpdated[].CustomerIDstringYesThe customer identifier — must match a CustomerID returned by GetProcessedCampaignCustomers
PromosUpdated[].StatusbooleanYestrue = customer is approved for campaign execution; false = customer is rejected

Error Responses

Status CodeConditionRetryable
400 Bad RequestPromosUpdated contains more than 10,000 itemsNo
400 Bad RequestThe campaign execution window has expiredNo — the window is permanently closed
400 Bad RequestRequest body is invalidNo

Sample Request

{
  "TimeStamp": "2018-10-27 09:33:00",
  "CampaignID": 1359,
  "PromosUpdated": [
    {"CustomerID": "C234638", "Status": true},
    {"CustomerID": "C984571", "Status": true}
  ]
}

Sample Response (200 OK)

(empty body)

Sample Response (400 Bad Request) — expired campaign window

Campaign execution window has expired.

Body Params
string | null
int32
PromosUpdated
array of objects | null
PromosUpdated
Response
200

Success

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!